﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TypeMapperWinFormTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            var typeMapper = new cp.lib.TypeMapper<ViewModel, Form1>()
                .AddMapItem(vm => vm.Name, form => form.txtName.Text)
                .AddMapItem(vm => vm.Amount, form => form.txtAmount.Text, a => a.ToString("#,###"))
                .AddMapItem(vm => vm.IsValid, form => form.chkIsValid.Checked)
                .AddMapItem(vm => vm.Type, form => form.cboType.SelectedIndex)
                .AddMapItem(vm => vm.CreatedTime, form => form.dtpCreateTime.Value);
            var model = new ViewModel()
            {
                Name = "How Are You",
                Amount = 123456789,
                IsValid = true,
                Type = 3,
                CreatedTime = new DateTime(2000, 10, 10)
            };
            typeMapper.Map(model,this);
        }
    }
}
